# Created by pyp2rpm-1.0.1
%global pypi_name future

Name:           python-future
Version:        0.18.3
Release:        %mkrel 1
Group:          Development/Python
Summary:        Clean single-source support for Python 3 and 2
License:        MIT
Url:		https://python-future.org/
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Easy, safe support for Python 3/2 compatibility

%package -n     python3-%{pypi_name}
Summary:        Clean single-source support for Python 3 and 2
%{?python_provide:%python_provide python3-future}

%description -n python3-%{pypi_name}
Easy, safe support for Python 3/2 compatibility

%prep
%setup -q -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf src/%{pypi_name}.egg-info

%build
# Do the build in the install stage.
# The build system wipes the build directory at the start of the
# build

%install
%py3_build
%py3_install

%files -n python3-%{pypi_name}
%{_bindir}/futurize
%{_bindir}/pasteurize
%doc README.rst docs/_themes/LICENSE LICENSE.txt
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/past
%{python3_sitelib}/libfuturize
%{python3_sitelib}/libpasteurize


%changelog
* Wed Feb 01 2023 papoteur <papoteur> 0.18.3-1.mga9
+ Revision: 1937415
- new 0.18.3 (mga#31419)

* Wed Mar 23 2022 umeabot <umeabot> 0.18.2-3.mga9
+ Revision: 1822532
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 0.18.2-2.mga9
+ Revision: 1774363
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 0.18.2-1.mga9
+ Revision: 1703370
- new version 0.18.2
- rebuild for python 3.9

* Mon Jan 11 2021 wally <wally> 0.17.1-5.mga8
+ Revision: 1671110
- provide and obsolete old python-future

* Sun Feb 16 2020 umeabot <umeabot> 0.17.1-4.mga8
+ Revision: 1531433
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 0.17.1-3.mga8
+ Revision: 1440289
- restore %%py3_build call
- rebuild for python-3.8
- drop python2 subpkg

* Mon Aug 19 2019 wally <wally> 0.17.1-2.mga8
+ Revision: 1430014
- add URL
- drop doc build

* Tue Jan 08 2019 shlomif <shlomif> 0.17.1-1.mga7
+ Revision: 1352706
- New version 0.17

* Tue Jan 08 2019 tv <tv> 0.15.2-5.mga7
+ Revision: 1352096
- rebuild with python 3.7

* Mon Jan 07 2019 kekepower <kekepower> 0.15.2-4.mga7
+ Revision: 1350636
- Rebuild for Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.15.2-3.mga7
+ Revision: 1288916
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.15.2-2.mga7
+ Revision: 1135430
- Rebuild for python 3.6

* Wed Mar 16 2016 tv <tv> 0.15.2-1.mga6
+ Revision: 992206
- new release

* Fri Feb 19 2016 umeabot <umeabot> 0.14.1-4.mga6
+ Revision: 970684
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 0.14.1-3.mga6
+ Revision: 887504
- rebuild for python 3.5

* Wed Nov 05 2014 joequant <joequant> 0.14.1-2.mga5
+ Revision: 795826
- fix library creation

* Wed Nov 05 2014 joequant <joequant> 0.14.1-1.mga5
+ Revision: 795808
- use setuptools
- imported package python-future

